Bug 30853 - Missing description for 'baskets' in swagger.yaml
Summary: Missing description for 'baskets' in swagger.yaml
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 30055
Blocks:
  Show dependency treegraph
 
Reported: 2022-05-26 12:48 UTC by Tomás Cohen Arazi
Modified: 2022-06-08 12:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.01


Attachments
Bug 30853: Add description for baskets in swagger.yaml (890 bytes, patch)
2022-05-26 12:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30853: Add description for baskets in swagger.yaml (955 bytes, patch)
2022-05-26 16:35 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-05-26 12:48:57 UTC

    
Comment 1 Tomás Cohen Arazi 2022-05-26 12:54:14 UTC
Created attachment 135380 [details] [review]
Bug 30853: Add description for baskets in swagger.yaml

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2022-05-26 13:06:49 UTC
If you look at https://api.koha-community.org/22.05.html you will notice on the left list that 'baskets' doesn't display as the rest of the entries.
Comment 3 Martin Renvoize 2022-05-26 16:35:43 UTC
Created attachment 135390 [details] [review]
Bug 30853: Add description for baskets in swagger.yaml

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-05-26 16:36:06 UTC
Trivial and works.. PQA
Comment 5 Tomás Cohen Arazi 2022-06-01 19:02:36 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-06-06 15:48:24 UTC
Pushed to 22.05.x for 22.05.01
Comment 7 Arthur Suzuki 2022-06-08 12:33:23 UTC
depends on big enhancement patch (30055), won't backport to 21.11.x